* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-size: 18px;
  background: url("../img/template.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  width: 100%;
  height: 100%;
}

h1 {
  color: rgb(124, 5, 5);
  margin: 25px 0 15px 0;
  text-shadow: 5px 2px 20px #333;
}

img {
  margin: 20px;
  box-shadow: 10px 5px 5px #333;
  border-radius: 4px;

}
/* annule le style du navigateur*/
em {
  text-transform: uppercase;
  font-style: normal;
}

 /* p {
  text-indent: 2em;
} */

.text-red {
 color: red;
}

.text-just {
  text-align: justify;
  padding: 5px 0 5px 0;
  text-indent: 2em;
}

.majuscule {
 text-transform: uppercase;
}

h2 {
  text-align: center;
  margin: 25px 0 15px 0;
}

.texte-rose {
 color: deeppink;
 font-style: italic;
}

.center {
  text-align: center; 
}

h1 {
  margin: 20px 0 10px 0;
}

.larg-mais-pas-trop {
  max-width: 600px;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.text-footer {
  margin: 30px auto;
  max-width: 600px;
  display: block;
  /* margin-left: auto;
  margin-right: auto; */
  font-size: 0.8em;

}


/* s'il fait 600px ou moins , ajouter img qui deborde tjrs*/
@media (max-width: 600px) {
  img, .text-just{
    width:100%;
    max-width: 100vw;
    margin: 5px 10px 5px 10px;
  }
  .large-mais-pas-trop {
    max-width: 100%;
    padding: 0.5em;
    font-size: 100%;
    margin: 5px 10px 5px 10px;
  }
  .text-footer {
    margin: 10px;
  }
}

@media (max-width: 300px) {
  img, .texte-just{
    width:100%;
    max-width: 100vw;
    /* margin: 10px; */
  }
  .large-mais-pas-trop {
    max-width: 100%;
    padding: 1em;
    font-size: 100%;
    margin: 5px;
  }
  .majuscule {
    font-size: 0.8em;
    padding: 3px;
  }
  h2 {
    font-size: 1em;
  }
  /* .text-footer {
    margin: 10px;
  } */
}